version: '1.0'
nodes:
  - id: router1
    device: router
    component: simple-router
    interfaces:
      - id: i0
        channel: c0
        ip: 10.1.10.1/24
      - id: i1
        channel: c1
        ip: 10.1.20.1/30
    config:
      config-dir: frr/test_router1

  - id: client1
    device: container
    component: simple-runner
    interfaces:
      - id: i0
        channel: c0
        ip: 10.1.10.10/24
    routes:
      - network: 0.0.0.0/0
        gateway: 10.1.10.1

  - id: client2
    device: container
    component: simple-runner
    interfaces:
      - id: i0
        channel: c1
        ip: 10.1.20.10/24
    routes:
      - network: 0.0.0.0/0
        gateway: 10.1.20.1

